### Signal

# Tsparql Notifier::events

#### Declaration

    void
    events (
      TrackerNotifier* self,
      gchar* service,
      gchar* graph,
      gpointer events,
      gpointer user_data
    )

#### Description [src]

Notifies of changes in the Tracker database.

Default handler:

#### Parameters

`service`

  Type: `gchar*`

  The SPARQL service that originated the events, `NULL` for the local store.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`graph`

  Type: `gchar*`

  The graph where the events happened on, `NULL` for the default anonymous graph.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`events`

  Type: An array of `None`

  A `GPtrArray` of `TrackerNotifierEvent`.